## openmolcas 19.11

=== CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2014-2016, Steven Vancoillie                           *
#               2014-2019, Ignacio Fdez. Galván                        *
#               2015, Stefan Knecht                                    *
#***********************************************************************
# Global CMakeLists.txt file for building Molcas with CMake.
#
# Steven Vancoillie - Spring 2014, on a Saturday afternoon, with coffee
# Ignacio Fdez. Galván made several improvements / additions
# Lasse Sørensen - Mac CMP0042 fix

cmake_minimum_required (VERSION 2.8.11)
#set (CMAKE_VERBOSE_MAKEFILE true)
if (POLICY CMP0042)
        cmake_policy(SET CMP0042 NEW)
endif ()
if (POLICY CMP0045)
        cmake_policy(SET CMP0045 NEW)
endif ()
if (POLICY CMP0074)
        cmake_policy(SET CMP0074 NEW)
endif ()
if (POLICY CMP0004)
        cmake_policy(SET CMP0004 NEW)
endif ()

# Prevent in-source builds
# If an in-source build is attempted, you will still need to clean up a few files manually.
set (CMAKE_DISABLE_SOURCE_CHANGES ON)
set (CMAKE_DISABLE_IN_SOURCE_BUILD ON)
get_filename_component (sourcedir "${CMAKE_SOURCE_DIR}" REALPATH)
get_filename_component (binarydir "${CMAKE_BINARY_DIR}" REALPATH)
if ("${sourcedir}" STREQUAL "${binarydir}")
        message(FATAL_ERROR "In-source builds in ${CMAKE_BINARY_DIR} are not "
                "allowed, please remove ./CMakeCache.txt and ./CMakeFiles/, create a "
                "separate build directory and run cmake from there.")
endif ()

# workaround for CMake bug 14874
# (i.e., fix for files with same name in different directories)
if (${CMAKE_VERSION} VERSION_LESS 3.1)
        if (NOT DEFINED CMAKE_Fortran_ARCHIVE_CREATE)
                set(CMAKE_Fortran_ARCHIVE_CREATE "<CMAKE_AR> cq <TARGET> <LINK_FLAGS> <OBJECTS>")
        endif ()
        if (NOT DEFINED CMAKE_Fortran_ARCHIVE_APPEND)
                set(CMAKE_Fortran_ARCHIVE_APPEND "<CMAKE_AR> q  <TARGET> <LINK_FLAGS> <OBJECTS>")
        endif ()
        if (NOT DEFINED CMAKE_C_ARCHIVE_CREATE)
                set(CMAKE_C_ARCHIVE_CREATE "<CMAKE_AR> cq <TARGET> <LINK_FLAGS> <OBJECTS>")
        endif ()
        if (NOT DEFINED CMAKE_C_ARCHIVE_APPEND)
                set(CMAKE_C_ARCHIVE_APPEND "<CMAKE_AR> q  <TARGET> <LINK_FLAGS> <OBJECTS>")
        endif ()
        if (NOT DEFINED CMAKE_CXX_ARCHIVE_CREATE)
                set(CMAKE_CXX_ARCHIVE_CREATE "<CMAKE_AR> cq <TARGET> <LINK_FLAGS> <OBJECTS>")
        endif ()
        if (NOT DEFINED CMAKE_CXX_ARCHIVE_APPEND)
                set(CMAKE_CXX_ARCHIVE_APPEND "<CMAKE_AR> q  <TARGET> <LINK_FLAGS> <OBJECTS>")
        endif ()
endif ()

# discover some necessary tools
find_program (GIT "git")
find_program (PERL "perl")
mark_as_advanced(FORCE GIT PERL)

FIND_PACKAGE(PythonInterp 3.0)
if (NOT PYTHONINTERP_FOUND)
        FIND_PACKAGE(PythonInterp 2.7)
endif ()

################################################################################
#                                                                              #
# Options                                                                      #
#                                                                              #
################################################################################

# The build type, specifies the different optimization types.
if (NOT DEFINED CMAKE_BUILD_TYPE OR "${CMAKE_BUILD_TYPE}" STREQUAL "")
        set (CMAKE_BUILD_TYPE "Release" CACHE STRING
                "Type of build, options are: None (CFLAGS/FFLAGS can be used), Debug, Garble, RelWithDebInfo, Release, Fast."
                FORCE
                )
endif ()
set_property (CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS None Debug Garble RelWithDebInfo Release Fast)

# The place where Molcas is installed with make install.
if (NOT DEFINED CMAKE_INSTALL_PREFIX)
        set (CMAKE_INSTALL_PREFIX "/opt/molcas" CACHE STRING
                "Location where Molcas will be installed.")
endif ()

option (DEBUGPRINT "Enable excessive print statements for debugging." OFF)
option (DEBUGTRACE "Enable tracing print statements for debugging." OFF)

set (DEBUG_DEFS_DESC "Additional debugging definitions.")
if (DEFINED DEBUG_DEFS)
        separate_arguments(DEBUG_DEFS)
        set (DEBUG_DEFS "${DEBUG_DEFS}" CACHE STRING "${DEBUG_DEFS_DESC}" FORCE)
else ()
        set (DEBUG_DEFS "" CACHE STRING "${DEBUG_DEFS_DESC}")
endif ()

option (BUILD_SHARED_LIBS "Build dynamically-linked molcas library." OFF)
option (BUILD_STATIC_LIB "Build statically-linked molcas library too." OFF)
if (BUILD_SHARED_LIBS)
        mark_as_advanced (CLEAR BUILD_STATIC_LIB)
else ()
        mark_as_advanced (FORCE BUILD_STATIC_LIB)
endif ()

option (MPI "Enable MPI parallellization." OFF)
option (GA "Use Global Arrays library." OFF)

option (OPENMP "Enable multi-threading." OFF)

option (BOUNDS "Enable bounds checking (only gfortran >= 4.8)." OFF)

option (EXPERT "Show advanced CMake cache entries in GUI)." OFF)

option (BIGOT "Do not allow any compiler warning (treat them as errors)." OFF)

set (LINALG_OPTIONS "Choose linear algebra library, options: Internal (default), Runtime, MKL, OpenBLAS, ACML, Accelerate.")
if (DEFINED LINALG)
        set (LINALG "${LINALG}" CACHE STRING "${LINALG_OPTIONS}")
        if (NOT ";Internal;Runtime;MKL;OpenBLAS;ACML;Accelerate;" MATCHES ";${LINALG};")
                message (FATAL_ERROR "Unsuported LINALG: ${LINALG}")
        endif ()
else ()
        set (LINALG "Internal"  CACHE STRING "${LINALG_OPTIONS}")
endif ()
set_property (CACHE LINALG PROPERTY STRINGS Internal Runtime MKL OpenBLAS ACML Accelerate)

option (CUBLAS "Enable CUDA BLAS library." OFF)
option (NVBLAS "Enable NVidia BLAS library." OFF)

option (FDE "Enable Frozen-density-embedding (FDE) interface." OFF)
option (GROMACS "Compile Gromacs interface." OFF)
option (BLOCK "Activate BLOCK-DMRG support." OFF)
option (CHEMPS2 "Activate CheMPS2-DMRG support." OFF)

option (GPERFTOOLS "Activate gperftools CPU profiling." OFF)
option (GCOV "Activate code coverage profiling (use with Debug/-O0)." OFF)
option (HDF5 "Activate HDF5 support for wavefunction format." ON)

option (TOOLS "Compile supported tools." OFF)

option (CTEST "Enable CTest." OFF)
mark_as_advanced (CTEST)

# External projects
option (MSYM       "Activate MSYM support (requires External/libmsym submodule)."                               OFF)
option (DMRG       "Activate QCMaquis DMRG driver and library."                                                 OFF)
option (DMRG_DEBUG "Enable DEBUG print in QCMaquis driver."                                                     OFF)

if (DMRG)
        mark_as_advanced (CLEAR DMRG_DEBUG)
        # Name and e-mail required for downloading QCMaquis
        # Try to get the real name from the system account information
        if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
                set(QCMaquis_NAME_GET_CMD "id -F")
        else()
        # should we distinguish other platforms?
                set(QCMaquis_NAME_GET_CMD "sh" "-c" "getent passwd $USER | awk -F: '{print \$5}'")
        endif()
        execute_process (
                COMMAND ${QCMaquis_NAME_GET_CMD}
                OUTPUT_VARIABLE QCMaquis_NAME_
                OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        set (QCMaquis_NAME ${QCMaquis_NAME_} CACHE STRING "Your name (required for downloading QCMaquis)")

        # Update QCMaquis flag. Off by default.
        # QCMaquis must be updated manually, as there might be QCMaquis upstream changes even when OpenMolcas is not changed,
        # or vice versa. Running cmake with QCMaquis_UPDATE=ON will force-update QCMaquis.
        if (NOT QCMaquis_UPDATE)
                set (QCMaquis_UPDATE OFF CACHE STRING "Trigger QCMaquis update" FORCE)
        endif()

        # try to get the e-mail address from git config (TODO: is there a better option?)
        execute_process (
                COMMAND ${GIT} "config" "user.email"
                OUTPUT_VARIABLE QCMaquis_EMAIL_
                OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        set (QCMaquis_EMAIL ${QCMaquis_EMAIL_} CACHE STRING "Your e-mail address (required for downloading QCMaquis)")

        # Prepare variables for QCMaquis: separate name and surname
        set (QCMaquis_NAME_LIST ${QCMaquis_NAME})

        separate_arguments (QCMaquis_NAME_LIST)
        list(LENGTH QCMaquis_NAME_LIST qcm_name_len)
        if (qcm_name_len LESS 2)
                message (FATAL_ERROR
                        "Your name has been specified as: " ${QCMaquis_NAME} "\n"
                        "Please specify both name and surname. If you have only one name, please specify it twice.")
        endif()

        # Separate first name from the last name
        # Currently, only the first word is treated by QCMaquis as the first name,
        # all the rest is considered surnames -- to accomodate multiple surnames common in the Spanish-speaking
        # areas or suffixes as Jr., III etc. Middle names are therefore incorrectly considered parts of
        # the last name. However, this has no influence on the QCMaquis download.
        list(GET QCMaquis_NAME_LIST 0 QCMaquis_GIVEN_NAME)
        list(REMOVE_AT QCMaquis_NAME_LIST 0)
        foreach(arg ${QCMaquis_NAME_LIST})
                      set(QCMaquis_SURNAME "${QCMaquis_SURNAME} ${arg}")
        endforeach()

        # Set QCMaquis download URL and path to the download script
        set (QCMaquis_URL "https://scine.ethz.ch/download/")
        set (QCMaquis_dl_SCRIPT "${CMAKE_SOURCE_DIR}/src/qcmaquis/get_qcmaquis.sh")
else ()
        mark_as_advanced (FORCE DMRG_DEBUG)
endif ()
option (GEN1INT    "Enable Gen1Int library for 1-electron integrals."                                           OFF)
option (NECI       "Activate NECI support (requires External/NECI submodule)."                                  OFF)
option (WFA        "Activate extended wavefunction analysis (requires External/libwfa submodule)."              OFF)
option (NEVPT2     "Activate (DMRG)-NEVPT2 support."                                                            OFF)
option (EFPLIB     "Enable EFPLib library for effective fragment potentials (requires External/efp submodule)." OFF)
option (GRID_IT    "Enable public GRID_IT code (requires External/grid_it submodule)."                          OFF)

################################################################################
#                                                                              #
# Global settings                                                              #
#                                                                              #
################################################################################

# mark that we are running CMake (for subprocesses)
set (ENV{CMAKE_SESSION} "OpenMolcas")

# project name and supported languages
#=====================================
message ("Configuring compilers:")

if (EFPLIB)
        cmake_minimum_required (VERSION 3.0.2)
endif ()
if (DMRG)
        project (Molcas Fortran C CXX)
        cmake_minimum_required (VERSION 3.2.0)
        if (NOT DEFINED QCMaquis_ROOT)
                if (DEFINED ENV{QCMaquis_ROOT})
                        set (QCMaquis_ROOT $ENV{QCMaquis_ROOT})
                else ()
