=== debian/changelog ===
openmolcas (19.11-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:07 +0100

openmolcas (19.11-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Thu, 26 Dec 2019 20:57:17 +0100
