=== debian/control ===
Source: openmolcas
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               gfortran,
               libopenblas64-openmp-dev,
               libjs-jquery,
               libjs-underscore,
               python3-pyparsing,
               python3-six,
               python3-sphinx,
               python3-sphinxcontrib.bibtex
Standards-Version: 4.1.3
X-Python3-Version: >= 3.6
Homepage: https://gitlab.com/Molcas/OpenMolcas
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debichem-team/openmolcas
Vcs-Git: https://salsa.debian.org/debichem-team/openmolcas.git

Package: openmolcas
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         openmolcas-data (= ${source:Version}),
         python3,
         python3-pyparsing,
         python3-six
Description: Quantum chemistry software package
 The key feature of OpenMolcas is the multiconfigurational approach to the
 electronic structure.

Package: openmolcas-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quantum chemistry software package (data files)
 The key feature of OpenMolcas is the multiconfigurational approach to the
 electronic structure.
 .
 This package contains data files.
