=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/OpenMolcas.*\.tar\.gz/OpenMolcas-$1\.tar\.gz/g \
  https://gitlab.com/Molcas/OpenMolcas/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*
