=== debian/changelog ===
openmolcas (20.10-2) unstable; urgency=medium

  * debian/rules (FFLAGS): New environment variable, add
    -fno-expensive-optimizations to the default Fortran flags.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Jan 2021 00:52:15 +0100

openmolcas (20.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mkl_library_dir.patch: Refreshed.
  * debian/patches/pymolcas_default_directories.patch: Likewise.
  * debian/patches/verify_default_directories.patch: Likewise.
  * debian/patches/install_locations.patch: Likewise.
  * debian/patches/openblas_hardcode_includedir.patch: Likewise.
  * debian/patches/linux_platform_support.patch: Likewise.
  * debian/patches/cisandbox_compilation_fixes.patch: Removed, no longer
    needed.
  * debian/patches/fix_doc_build.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 01 Jan 2021 16:40:25 +0100

openmolcas (19.11-5) unstable; urgency=medium

  * Reuploading from the git repository, the 19.11-4 source package in the
    Debian archive has additional changes which makes it FTFBS, Closes:
    #960820.

 -- Michael Banck <mbanck@debian.org>  Mon, 18 May 2020 22:01:21 +0200

openmolcas (19.11-4) unstable; urgency=medium

  * debian/tests/testsuite.sh: Include test 001, as it failed on the arm64
    debci builder.

 -- Michael Banck <mbanck@debian.org>  Fri, 06 Mar 2020 13:19:44 +0100

openmolcas (19.11-3) unstable; urgency=medium

  * debian/tests/testsuite.sh: Dump output/error files if test cases fail.
  * debian/openmolcas.install: Install the following additional pymolcas
    scripts: find_sources, have_feature, help_basis, help_doc, modulenames.plx,
    updatetest.plx and version.
  * debian/tests/testsuite.sh: Only run a small subset of tests.

 -- Michael Banck <mbanck@debian.org>  Thu, 05 Mar 2020 22:55:06 +0100

openmolcas (19.11-2) unstable; urgency=medium

  * debian/control (Description): Add main capabilities.
  * debian/patches/linux_platform_support.patch: New patch, sets PLATFORM to
    Linux independent of CPU type. 

 -- Michael Banck <mbanck@debian.org>  Wed, 04 Mar 2020 10:02:44 +0100
