=== debian/control ===
--- 
+++ 
@@ -32,6 +32,25 @@
 Description: Quantum chemistry software package
  The key feature of OpenMolcas is the multiconfigurational approach to the
  electronic structure.
+ .
+ It can compute energies, gradients and hessians for the following methods:
+  * Hartree-Fock SCF (HF)
+  * Complete active space SCF (CASSCF)
+ .
+ It can compute energies and gradients for the following methods:
+  * Hartree-Fock (HF)
+  * Density-Functional Theory (DFT)
+  * Second-order Moeller-Plesset perturbation theory (MP2)
+  * Complete and restricted active space SCF (CASSCF/RASSCF)
+ .
+ Additionally, it can compute energies for the following methods:
+  * Closed shell Moeller-Plesset perturbation theory (MP2)
+  * Complete active space second order perturbation theory (CASPT2)
+  * Coupled-cluster singles doubles (CCSD), optionally wihth
+    Cholesky-Decomposition (CD)/Resolution-of-the Identity (RI)
+  * CD/RI Coupled-cluster singles doubles with perturbative
+    triples (CCSD(T))
+  * Density Matrix Renormalization Group SCF (DMRG-SCF)
 
 Package: openmolcas-data
 Architecture: all
