=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export FFLAGS=$(shell dpkg-buildflags --get FFLAGS) -fno-expensive-optimizations
 
 %:
 	dh $@ --buildsystem=cmake --with sphinxdoc
